|

Reflect raw decrypted data

post/vault_proxy/reflect
Given a raw HTTP body, decrypts data tokens in place for up to 1000 users at a time. Can be used to generate reports or test payloads that will be sent using the vault proxy.

The request body may contain "vault proxy tokens," which are hydrated with decrypted data from the provided users' vaults. More information on vault proxy tokens can be found here.

Request

Headers

x-fp-access-reason·

optional string

Access reason for any decryption operations during the reflection request
x-fp-default-missing-to-empty-string·

optional string

Default empty string for missing data
x-fp-id·

optional string

When reflect requests are on behalf of a single footprint vault, you can can omit the fp_id_ prefix on token identifiers, and just use id.x or custom.y instead of fp_id_xyz.id.x or fp_id_xyz.custom.y.

Body

Request body to be used in the vault proxy. The body may contain any number of "vault proxy tokens,", which are hydrated with the decrypted data from provided users' vaults.
POST /vault_proxy/reflect
1curl -X POST https://api.onefootprint.com/vault_proxy/reflect \
2  -u sk_test_xxxxx: \
3  -d '{
4    "name": "{{ fp_id_Ih14yI0tMugEe5kdpnC0cl.id.first_name | to_uppercase }} {{ fp_id_Ih14yI0tMugEe5kdpnC0cl.id.last_name | to_uppercase }}",
5    "dob": "{{ fp_id_Ih14yI0tMugEe5kdpnC0cl.id.dob }}"
6  }'